Loading...
Searching...
No Matches
dolfin::MultiMeshForm Class Reference

`#include <MultiMeshForm.h>`

## Public Member Functions

| MultiMeshForm (std::shared_ptr< const MultiMesh > multimesh)
| Create empty multimesh functional.
| MultiMeshForm (std::shared_ptr< const MultiMeshFunctionSpace > function_space)
| Create empty linear multimesh variational form.
| MultiMeshForm (std::shared_ptr< const MultiMeshFunctionSpace > function_space_0, std::shared_ptr< const MultiMeshFunctionSpace > function_space_1)
| Create empty bilinear multimesh variational form.
| ~MultiMeshForm ()
| Destructor.
std::size_t | rank () const
std::size_t | num_parts () const
std::shared_ptr< const MultiMesh > | multimesh () const
std::shared_ptr< const Form > | part (std::size_t i) const
std::shared_ptr< const MultiMeshFunctionSpace > | function_space (std::size_t i) const
void | add (std::shared_ptr< const Form > form)
void | build ()
| Build MultiMesh form.
void | clear ()
| Clear MultiMesh form.
void | set_multimesh_coefficient (std::size_t i, std::shared_ptr< const MultiMeshFunction > coefficient)
| Set MultiMeshCoeeficient.
std::map< std::size_t, std::shared_ptr< const MultiMeshFunction > > | multimesh_coefficients () const
| Get all MultiMesh Coefficients.
std::shared_ptr< const MultiMeshFunction > | multimesh_coefficient (std::size_t i) const
| Get one multimesh coefficient.
std::vector< std::size_t > | multimesh_coefficient_keys () const
| Get multimesh coefficient keys.

## Detailed Description

This class represents a variational form on a cut and composite finite element function space (MultiMesh) defined on one or more possibly intersecting meshes.

## Member Function Documentation

## add()

void MultiMeshForm::add | ( | std::shared_ptr< const Form > | form | ) |

Add form (shared pointer version)

Parameters

  form | (Form) The form.

## function_space()

std::shared_ptr< const MultiMeshFunctionSpace > MultiMeshForm::function_space | ( | std::size_t | i | ) | const

Return function space for given argument

Parameters

  i | (std::size_t) Index

Returns
  MultiMeshFunctionSpace Function space shared pointer.

## multimesh()

std::shared_ptr< const MultiMesh > MultiMeshForm::multimesh | ( |  | ) | const

Extract common multimesh from form

Returns
  MultiMesh The mesh.

## num_parts()

std::size_t MultiMeshForm::num_parts | ( |  | ) | const

Return the number of forms (parts) of the MultiMesh form

Returns
  std::size_t The number of forms (parts) of the MultiMesh form.

## part()

std::shared_ptr< const Form > MultiMeshForm::part | ( | std::size_t | i | ) | const

Return form (part) number i

Returns
  Form Form (part) number i.

## rank()

std::size_t MultiMeshForm::rank | ( |  | ) | const

Return rank of form (bilinear form = 2, linear form = 1, functional = 0, etc)

Returns
  std::size_t The rank of the form.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MultiMeshForm.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MultiMeshForm.cpp